<?php

	$id = (int)$_POST['idLink'];

	require 'auxiliares/funcao-slug.php';

	$caminhoAmigavel = slug($_POST['titulo']);

	$selectSlug = mysql_query("SELECT * FROM adm_links WHERE slugLink = '".mysql_escape_string($caminhoAmigavel)."' AND id <> '".$_POST['idLink']."'");

	$qtSlugs = mysql_num_rows($selectSlug);

	if($qtSlugs > 0) $caminhoAmigavel .= "-".$qtSlugs;

	include 'auxiliares/redimensionaImg.class.php';

	$redim = new Redimensiona();

	if($_FILES['btnUpload']['size'] > 0) {

		$numero = rand(1,99999999);
		$nome = $numero.$_FILES['btnUpload']['name'];
		$nome = $redim->tratar_arquivo_upload($nome);
		
		$tipoImagem = $_FILES['btnUpload']['type'];

		// Thumbs
		$fotoThumbs = $_FILES['btnUpload']['tmp_name'];
		$filenameThumbs = $redim->GerarThumbs($fotoThumbs, 65, 65, "imagens-site/galerias/thumbs", $tipoImagem, $nome);

		// Medium
		$fotoThumbs = $_FILES['btnUpload']['tmp_name'];
		$filenameThumbs = $redim->Redimensionar($fotoThumbs, 252, 156, "imagens-site/galerias/medium", $tipoImagem, $nome);

		// Thumbs
		$fotoThumbs = $_FILES['btnUpload']['tmp_name'];
		$filenameThumbs = $redim->Redimensionar($fotoThumbs, 252, 156, "imagens-site/galerias/capa", $tipoImagem, $nome);

		// Normal
		$foto = $_FILES['btnUpload']['tmp_name'];
		$filenameDestaque = $redim->Redimensionar($foto, 1000, 1000, "imagens-site/galerias", $tipoImagem, $nome);

	} else {

		// Buscar capa atual
		$capaAtual = $db->prepare("SELECT capa FROM adm_links WHERE id = :id");
		$capaAtual->bindParam(':id', $id, PDO::PARAM_INT);
		$capaAtual->execute();
		$filenameDestaque = $capaAtual->fetchColumn(0);

	}

	$updateQuery = $db->prepare("
		UPDATE adm_links SET
			titulo = :titulo,
			subtitulo = :subtitulo,
			resumo = :resumo,
			texto = :texto,
			slugLink = :slugLink,
			capa = :capa,
			video = :video,
			keywords = :keywords
		WHERE id = :id
	");

	$titulo = $_POST['titulo'];
	$subtitulo = $_POST['subtitulo'];
	$resumo = $_POST['resumo'];
	$texto = $_POST['texto'];
	$video = $_POST['video'];
	$titulo = $_POST['titulo'];
	$keywords = implode(',', $_POST['keywords']);

	$updateQuery->bindParam(':titulo', $titulo, PDO::PARAM_STR);
	$updateQuery->bindParam(':subtitulo', $subtitulo, PDO::PARAM_STR);
	$updateQuery->bindParam(':resumo', $resumo, PDO::PARAM_STR);
	$updateQuery->bindParam(':texto', $texto, PDO::PARAM_STR);
	$updateQuery->bindParam(':capa', $filenameDestaque, PDO::PARAM_STR);
	$updateQuery->bindParam(':slugLink', $caminhoAmigavel, PDO::PARAM_STR);
	$updateQuery->bindParam(':video', $video, PDO::PARAM_STR);
	$updateQuery->bindParam(':keywords', $keywords, PDO::PARAM_STR);
	$updateQuery->bindParam(':id', $id, PDO::PARAM_INT);

	$result = $updateQuery->execute();

	if($result){

		$arrayImagens = array();

		for ($i=0; $i < count($_FILES['fotoGaleriaProduto']['name']); $i++) { 
			
			if ($_FILES['fotoGaleriaProduto']['size'][$i] > 0) {

				$numero = rand(1,99999999);
				$nome = $numero.$_FILES['fotoGaleriaProduto']['name'][$i];
				$nome = $redim->tratar_arquivo_upload($nome);
				
				$tipoImagem = $_FILES['fotoGaleriaProduto']['type'][$i];

				// Thumbs
				$fotoThumbs = $_FILES['fotoGaleriaProduto']['tmp_name'][$i];
				$filenameGallery = $redim->Redimensionar($fotoThumbs, 65, 65, "imagens-site/galerias/thumbs", $tipoImagem, $nome);

				// Medium
				$foto = $_FILES['fotoGaleriaProduto']['tmp_name'][$i];
				$filenameGallery = $redim->Redimensionar($foto, 252, 156, "imagens-site/galerias/medium", $tipoImagem, $nome);

				// Normal
				$foto = $_FILES['fotoGaleriaProduto']['tmp_name'][$i];
				$filenameGallery = $redim->Redimensionar($foto, 1000, 1000, "imagens-site/galerias", $tipoImagem, $nome);

			}

			if(!empty($filenameGallery)){
				$arrayImagens[] = "('".mysql_escape_string($_POST['idLink'])."', '".mysql_escape_string($filenameGallery)."')";
			}

		}

		if(isset($arrayImagens)){
			$imagensGalleryDb = implode(",", $arrayImagens);

			$insertFotosGallery = mysql_query("INSERT INTO adm_gallery_links (id_link, arquivo) VALUES $imagensGalleryDb");
		}

		$fotos = isset($_POST['chkFotoGaleria']) ? $_POST['chkFotoGaleria'] : NULL;
		if(isset($fotos)){
			foreach ($fotos as $pos => $valor) {
				if(!empty($valor)){
					$selectFoto = mysql_query("SELECT arquivo FROM adm_gallery_links WHERE idGallery = '".mysql_escape_string($valor)."'");
					$fotoGaleria = mysql_result($selectFoto, 0, 0);
					unlink("imagens-site/galerias/thumbs/".$fotoGaleria);
					unlink("imagens-site/galerias/medium/".$fotoGaleria);
					unlink("imagens-site/galerias/".$fotoGaleria);
					$deleteFotoGaleria = mysql_query("DELETE FROM adm_gallery_links WHERE idGallery = '".mysql_escape_string($valor)."'");
				}
			}
		}
	?>

		<table>
			<tr>
				<td>
					Conte&uacute;do atualizado com sucesso!
					<meta http-equiv="refresh" content="2; url=miolo.php?miolo=links&id=<?php echo $_POST['idLink']; ?>" />
				</td>
			</tr>
		</table>

	<?php } else { ?>

		<table>
			<tr>
				<td>
					Houve um erro ao atualizar o conte&uacute;do.
					<meta http-equiv="refresh" content="2; url=miolo.php?miolo=links&id=<?php echo $_POST['idLink']; ?>" />
				</td>
			</tr>
		</table>

	<?php }